> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User Document

> Returns the requested document for the given customer.



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/user_documents/{userID}/{filename}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/user_documents/{userID}/{filename}/:
    get:
      tags:
        - user_documents
      summary: Retrieve User Document
      description: Returns the requested document for the given customer.
      operationId: user_documents_retrieve
      parameters:
        - in: path
          name: filename
          schema:
            type: string
            pattern: ^([\w\ä\ö\ü\Ä\Ö\Ü\ß\&\\\".-]+)$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            text/pdf:
              schema:
                type: string
                format: binary
          description: Document as MIME-type "text/pdf".
        '404':
          description: Document file was not found for the given user and filename.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.